org.keycloak.representations.idm

## Class ApplicationRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ApplicationRepresentation

-     public class ApplicationRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `adminUrl`
    `protected String` | `baseUrl`
    `protected Boolean` | `bearerOnly`
    `protected ClaimRepresentation` | `claims`
    `protected String[]` | `defaultRoles`
    `protected Boolean` | `enabled`
    `protected Boolean` | `fullScopeAllowed`
    `protected String` | `id`
    `protected String` | `name`
    `protected Integer` | `notBefore`
    `protected Boolean` | `publicClient`
    `protected List<String>` | `redirectUris`
    `protected String` | `secret`
    `protected Boolean` | `surrogateAuthRequired`
    `protected List<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdminUrl()`
    `String` | `getBaseUrl()`
    `ClaimRepresentation` | `getClaims()`
    `String[]` | `getDefaultRoles()`
    `String` | `getId()`
    `String` | `getName()`
    `Integer` | `getNotBefore()`
    `List<String>` | `getRedirectUris()`
    `String` | `getSecret()`
    `List<String>` | `getWebOrigins()`
    `Boolean` | `isBearerOnly()`
    `Boolean` | `isEnabled()`
    `Boolean` | `isFullScopeAllowed()`
    `Boolean` | `isPublicClient()`
    `Boolean` | `isSurrogateAuthRequired()`
    `void` | `setAdminUrl(String adminUrl)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setClaims(ClaimRepresentation claims)`
    `void` | `setDefaultRoles(String[] defaultRoles)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(Integer notBefore)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setSecret(String secret)`
    `void` | `setSurrogateAuthRequired(Boolean surrogateAuthRequired)`
    `void` | `setWebOrigins(List<String> webOrigins)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### adminUrl

          protected String adminUrl

    - #### baseUrl

          protected String baseUrl

    - #### surrogateAuthRequired

          protected Boolean surrogateAuthRequired

    - #### enabled

          protected Boolean enabled

    - #### secret

          protected String secret

    - #### defaultRoles

          protected String[] defaultRoles

    - #### redirectUris

          protected List<String> redirectUris

    - #### webOrigins

          protected List<String> webOrigins

    - #### claims

          protected ClaimRepresentation claims

    - #### notBefore

          protected Integer notBefore

    - #### bearerOnly

          protected Boolean bearerOnly

    - #### publicClient

          protected Boolean publicClient

    - #### fullScopeAllowed

          protected Boolean fullScopeAllowed

  - ### Constructor Detail

    - #### ApplicationRepresentation

          public ApplicationRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### isSurrogateAuthRequired

          public Boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(Boolean surrogateAuthRequired)

    - #### getAdminUrl

          public String getAdminUrl()

    - #### setAdminUrl

          public void setAdminUrl(String adminUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getWebOrigins

          public List<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(List<String> webOrigins)

    - #### getDefaultRoles

          public String[] getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(String[] defaultRoles)

    - #### getClaims

          public ClaimRepresentation getClaims()

    - #### setClaims

          public void setClaims(ClaimRepresentation claims)

    - #### getNotBefore

          public Integer getNotBefore()

    - #### setNotBefore

          public void setNotBefore(Integer notBefore)

    - #### isBearerOnly

          public Boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

    - #### isPublicClient

          public Boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

Copyright © 2015. All Rights Reserved.